#!/bin/sh

set -e

CONFD_CMD="/usr/local/bin/confd -onetime -backend"

if [ ! -z "$VAULT_TOKEN" ]; then
	CONFD_CMD="$CONFD_CMD vault -node $VAULT_ADDR -auth-type token -auth-token $VAULT_TOKEN"
else
	CONFD_CMD="$CONFD_CMD env"
fi
if [ ! -z "$CONFD_PREFIX" ]; then
	CONFD_CMD="$CONFD_CMD -prefix=$CONFD_PREFIX"
fi

if [ -z "$NO_CONFD" ]; then
	$CONFD_CMD
fi

exec /rednerd "$@"
